package org.springblade.system.mapper;



import org.springblade.common.core.domain.entity.KyFilesMultiClassify;

import java.util.List;

public interface FilesMultiClassifyMapper {

    /**
     * 获取档案多维度分类管理列表
     * @param kyFilesMultiClassify
     * @return
     */
    List<KyFilesMultiClassify> selectKyFilesMultiClassifyList(KyFilesMultiClassify kyFilesMultiClassify);

    /**
     * 新增档案多维度分类管理
     * @param kyFilesMultiClassify
     * @return
     */
    int addKyFilesMultiClassify(KyFilesMultiClassify kyFilesMultiClassify);

    /**
     * 根据名称查询档案多维度分类
     * @param kyFilesMultiClassify
     * @return
     */
    KyFilesMultiClassify getKyFilesMultiClassifyByClassifyName(KyFilesMultiClassify kyFilesMultiClassify);

    /**
     * 修改档案多维度分类管理
     * @param kyFilesMultiClassify
     * @return
     */
    int updateKyFilesMultiClassify(KyFilesMultiClassify kyFilesMultiClassify);

    /**
     * 删除档案多维度分类管理
     * @param kyFilesMultiClassify
     * @return
     */
    int delKyFilesMultiClassify(KyFilesMultiClassify kyFilesMultiClassify);

    KyFilesMultiClassify getDetail(KyFilesMultiClassify dto);
}
